<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Offer;
use Illuminate\Http\Request;

class OffersController extends Controller
{
    public function index()
    {
        $rows = Offer::all();
        return view('admin.offers.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.offers.create');
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'image' => 'required|image'
        ]);
        Offer::create($request->all());
        success_toast();
        return redirect()->route('offers.index');
    }

    public function edit($id)
    {
        $row = Offer::findOrFail($id);
        return view('admin.offers.create', $row);
    }

    public function update($id, Request $request)
    {
        $this->validate($request, [
            'image' => 'nullable|image'
        ]);
        $offer = Offer::findOrFail($id);
        if ($request->hasFile('image')) $offer->setImageAttribute();
        $offer->update();
        success_toast();
        return redirect()->route('offers.index');
    }

    public function destroy($id)
    {
        Offer::destroy($id);
        success_toast();
        return redirect()->route('offers.index');
    }
}
