<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Order extends Model
{

    protected $table = 'orders';
    public $timestamps = true;
    protected $fillable = array('user_id', 'total_price', 'payment_method', 'bank_id', 'transfer_number', 'transfer_image', 'transfer_date', 'transfer_name', 'tax', 'status', 'transfer_iban');


    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function bank()
    {
        return $this->belongsTo(Bank::class, 'bank_id');
    }


    public function order_cards()
    {
        return $this->belongsToMany(ProductCard::class, 'order_cards', 'order_id','product_card_id');
    }


    public function order_carts()
    {
        return $this->belongsToMany(Cart::class, 'order_carts', 'order_id', 'cart_id');
    }



    public function setTransferImageAttribute()
    {
        $file = request()->file('transfer_image');
        $destinationPath = 'images/users/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['transfer_image'] = $filename;
    }

    public function getTransferImageAttribute()
    {
        if (isset($this->attributes['transfer_image'])) {
            return asset('images/users/') . '/' . $this->attributes['transfer_image'];
        }
        return asset('logo.png');
    }


}
