<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PointProduct extends Model
{

    protected $table = 'point_products';
    public $timestamps = true;
    protected $fillable = array('title', 'description', 'client_point', 'merchant_point', 'count');

    protected $appends = ['price', 'type'];

    public function getPriceAttribute()
    {
        if (\Auth::check() && \Auth::user()->type == 'client' || !\Auth::check()) {
            return $this->client_point . ' نقطة';
        }
        return $this->merchant_point . ' نقطة';
    }

    public function images(){
        return $this->hasMany(PointProductImage::class, 'point_product_id');
    }

}
