<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Setting extends Model
{

    protected $table = 'settings';
    public $timestamps = true;
    protected $fillable = array('mobile', 'email', 'whatsapp', 'twitter', 'facebook', 'instagram', 'snapchat', 'tax', 'about_us_title', 'about_us_description', 'about_us_image');



    public function setAboutUsImageAttribute()
    {
        $file = request()->file('about_us_image');
        $destinationPath = 'images/about/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['about_us_image'] = $filename;
    }

    public function getAboutUsImageAttribute()
    {
        if (isset($this->attributes['about_us_image'])) {
            return asset('images/about/') . '/' . $this->attributes['about_us_image'];
        }
        return asset('logo.png');
    }



}
