@extends('admin.layout.master')
@section('title', 'المستويات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">المستويات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('levels.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم المستوي</label>
                                <input type="text" class="form-control" value="{{old('title')}}" name="title"
                                       id="exampleInputEmail1"
                                       placeholder="إسم المستوي">
                                @if ($errors->has('title'))
                                    <small class="text-danger">{{ $errors->first('title') }}</small>
                                @endif
                            </div>
                            <div class="row">

                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">أقل مبلغ مشتروات</label>
                                    <input type="number" min="0" class="form-control" value="{{old('lowest_rang')}}"
                                           name="lowest_rang"
                                           id="exampleInputEmail1"
                                           placeholder="أقل مبلغ مشتروات">
                                    @if ($errors->has('lowest_rang'))
                                        <small class="text-danger">{{ $errors->first('lowest_rang') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">أقصي مبلغ مشتروات</label>
                                    <input type="number" min="0" class="form-control" value="{{old('highest_rang')}}"
                                           name="highest_rang"
                                           id="exampleInputEmail1"
                                           placeholder="أقصي مبلغ مشتروات">
                                    @if ($errors->has('highest_rang'))
                                        <small class="text-danger">{{ $errors->first('highest_rang') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">معدل النقاط للعميل</label>
                                    <input type="number" min="0" class="form-control" value="{{old('client_point')}}"
                                           name="client_point"
                                           id="exampleInputEmail1"
                                           placeholder="معدل النقاط للعميل">
                                    @if ($errors->has('client_point'))
                                        <small class="text-danger">{{ $errors->first('client_point') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">معدل النقاط للتاجر</label>
                                    <input type="number" min="0" class="form-control" value="{{old('merchant_point')}}"
                                           name="merchant_point"
                                           id="exampleInputEmail1"
                                           placeholder="معدل النقاط للتاجر">
                                    @if ($errors->has('merchant_point'))
                                        <small class="text-danger">{{ $errors->first('merchant_point') }}</small>
                                    @endif
                                </div>


                            </div>


                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
