@extends('admin.layout.master')
@section('title', "طلبات النقاط")
@section('content')


    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">طلب رقم {{$row->id}}</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <h4 class="header-title">طلب رقم {{$row->id}}</h4>


                <table id="" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">

                        <th>رقم الطلب</th>
                        <th>إسم العميل</th>
                        <th>الحالة</th>
                        <th>الضريبة</th>
                        <th>اجمالى السعر</th>
                        <th>نوع الدفع</th>
                        <th>تاريخ الطلب</th>

                    </tr>
                    </thead>
                    <tbody>

                    <tr>

                        <td>{{$row->id}}</td>
                        <td>{{$row->user->name}}</td>
                        <td>{{status_order()[$row->status]}}</td>
                        <td>{{$row->tax . ' %'}}</td>
                        <td>{{$row->total_price . ' ريال'}}</td>
                        <td>{{$row->payment_method}}</td>
                        <td>{{\Carbon\Carbon::parse($row->created_at)->toDateString()}}</td>

                    </tr>


                    </tbody>
                </table>

            </div>


            @if($row->payment_method == 'bank')
                <div class="card-box">
                    <h4 class="header-title">تفاصيل التحويل</h4>


                    <table id="" class="table table-bordered dt-responsive nowrap"
                           style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                        <tr style="font-size: large ; font-family: cairo">


                            <th>البنك</th>
                            <th>اسم التحويل</th>
                            <th>رقم التحويل</th>
                            <th>رقم الايبان</th>
                            <th>تاريخ التحويل</th>
                            <th>صوره التحويل</th>


                        </tr>
                        </thead>
                        <tbody>

                        <tr>


                            <td>{{$row->bank_id ? $row->bank->name : 'لا يوجد'}}</td>
                            <td>{{$row->transfer_name}}</td>
                            <td>{{$row->transfer_number}}</td>
                            <td>{{$row->transfer_iban}}</td>
                            <td>{{$row->transfer_date}}</td>
                            <td><img src="{{$row->transfer_image}}" height="200px"></td>


                        </tr>


                        </tbody>
                    </table>

                </div>
            @endif


            <div class="card-box">
                <h4 class="header-title">المنتجات</h4>


                <table id="" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">

                        <th>#</th>
                        <th>اسم المنتج</th>
                        <th>سعر المنتج</th>
                        <th>الكمية</th>
                        <th>اجمالى سعر المنتح</th>

                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($carts as $cart)
                        <tr>

                            <td>{{$i}}</td>
                            <td>{{$cart->product->title}}</td>
                            <td>{{$cart->product->price}}</td>
                            <td>{{$cart->count}}</td>
                            <td>{{$cart->total_price .  ' ريال'}}</td>

                        </tr>
                        <?php
                        $i++;
                        ?>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->

@endsection
