@extends('admin.layout.master')
@section('title', 'أقسام المنتجات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">أقسام المنتجات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('point_products.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم المنتج</label>
                                <input type="text" class="form-control" value="{{old('title')}}" name="title"
                                       id="exampleInputEmail1"
                                       placeholder="إسم المنتج">
                                @if ($errors->has('title'))
                                    <small class="text-danger">{{ $errors->first('title') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">النقاط للعملاء</label>
                                <input type="text" class="form-control" value="{{old('client_point')}}" name="client_point"
                                       id="exampleInputEmail1"
                                       placeholder="النقاط للعملاء">
                                @if ($errors->has('client_point'))
                                    <small class="text-danger">{{ $errors->first('client_point') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">النقاط للتجار</label>
                                <input type="text" class="form-control" value="{{old('merchant_point')}}" name="merchant_point"
                                       id="exampleInputEmail1"
                                       placeholder="النقاط للتجار">
                                @if ($errors->has('merchant_point'))
                                    <small class="text-danger">{{ $errors->first('merchant_point') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">العدد</label>
                                <input type="text" class="form-control" value="{{old('count')}}" name="count"
                                       id="exampleInputEmail1"
                                       placeholder="النقاط للتجار">
                                @if ($errors->has('count'))
                                    <small class="text-danger">{{ $errors->first('count') }}</small>
                                @endif
                            </div>

                            <div class="form-group ">
                                <label for="exampleInputEmail1">الوصف</label>
                                <textarea name="description" style="height: 144px" class="form-control" required
                                          placeholder="الوصف">{{old('description')}}</textarea>

                                @if ($errors->has('description'))
                                    <small class="text-danger">{{ $errors->first('description') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">الصور</label>
                                <input type="file" multiple name="point_product_images[]">

                                @if ($errors->has('point_product_images'))
                                    <small class="text-danger">{{ $errors->first('point_product_images') }}</small>
                                @endif
                            </div>

                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
