@extends('site.layout.master')

@section('content')
    <!-- start inner header -->
    <div class="inner-header">
        <h5>تفاصيل المنتج</h5>
        <ul>
            <li><a href="{{route('home')}}">الرئيسية </a></li>
            <li>/</li>
            {{--            <li><a href="">المنتجات المجانية </a></li>--}}
            {{--            <li>/</li>--}}
            <li><a> {{$row->title}} </a></li>

        </ul>
    </div>
    <!-- end inner header -->
    <!-- start product details -->
    <div class="product-details">
        <div class="container">
            <div class="row">
                <div class="col-12 col-md-12 col-lg-6">
                    <div class="product-details-info">
                        <h6>{{$row->title}}</h6>
                        <span> {{$row->price}} </span>
                        <p>
                            {{$row->description}}
                        </p>
                        <div class="pro-de">
                            <form style="display: flex; " action="{{route('add_product_to_cart')}}" method="POST">
                                @csrf
                                <div class="pro-de-count">
                                    <a class="cart-qty-minus btn"><i class="fas fa-minus"></i></a>
                                    <input type="hidden" name="product_id" value="{{$row->id}}">
                                    <input  type="number" name="count" minlength="1" maxlength="{{$row->count}}"  value="1"
                                           class="qty">
                                    <a class="cart-qty-plus btn "><i class="fas fa-plus"></i></a>
                                </div>
                                <button type="submit" class="add-to-cart">اضف الى السلة</button>
                            </form>
                            <a style="    width: 50px;
    height: 34px;" id="favourite_element" onclick="favourite({{$row->id}})"
                               class="wish {{\Auth::check() && \App\Models\Favourite::where(['product_id' => $row->id, 'user_id' => Auth::user()->id])->count() > 0 ? 'active' : '' }}">
                                <img src="{{asset('site/img/heart.svg')}}" alt="">
                                <img src="{{asset('site/img/wish.svg')}}" alt="">
                            </a>

                        </div>
                    </div>
                    <div class="pro-de-cat">
                        <div class="list-kv">
                            <h6>القسم</h6>
                            <span>{{$row->category->title}}</span>
                        </div>
                        <div class="list-kv">
                            <h6>كلمات مفتاحية</h6>
                            <span>:
                            @foreach($row->tags as $tag)
                                    {{$tag->title  . ' , '}}
                                @endforeach
                            </span>
                        </div>
                        {{--                        <div class="list-kv">--}}
                        {{--                            <h6 class="">:شارك على</h6>--}}
                        {{--                            <ul>--}}
                        {{--                                <li><a href=""><img src="./img/g1.svg" alt=""></a></li>--}}
                        {{--                                <li><a href=""><img src="./img/g2.svg" alt=""></a></li>--}}
                        {{--                                <li><a href=""><img src="./img/g3.svg" alt=""></a></li>--}}
                        {{--                            </ul>--}}
                        {{--                        </div>--}}
                    </div>
                </div>
                <div class="col-12 col-md-12 col-lg-6">
                    <div class="slider-prod">
                        <div class="owl-carousel owl-theme owl-slider-prod">
                            @foreach($row->images as $image)
                                <div class="item">
                                    <div class="product-details-img">
                                        <img src="{{$image->image}}" alt="">
                                    </div>
                                </div>
                            @endforeach

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end  product details -->
    <!-- start product rec-->
    <div class="container">
        <div class="product-rec">
            <div class="product-rec-title">
                <h5>منتجات مشابهة</h5>
            </div>
            <div class="product-rec-slider">
                <div class="owl-carousel owl-rec-slider owl-theme">

                    @foreach($relates as $row)

                        <div class="item">
                            @include('site.products.product_box')
                        </div>

                    @endforeach
                </div>
            </div>
        </div>
    </div>
    <!-- end product rec-->
@endsection

{{--@section('script')--}}
{{--   --}}
{{--@endsection--}}
