@extends('site.layout.master')
@section('content')

    <!-- start  -->
    <div class="body-login">
        <div class="container">
            <div class="bl">
                <div class="row">
                    <div class="col-12 col-md-12 col-lg-6">
                        <form action="{{route('sign_up_post')}}" method="POST" enctype="multipart/form-data">

                            <div class="bl-input">
                                <h6>تسجيل جديد</h6>

                                @csrf
                                <div class="login-raid">
                                    <label for="d">
                                        <span>عميل</span>
                                        <input type="radio" checked name="type" value="client" onclick="input_hidden('client')">
                                    </label>
                                    <label for="d1">
                                        <span>تاجر</span>
                                        <input type="radio" name="type"  value="merchant" onclick="input_hidden('merchant')">
                                    </label>
                                </div>
                                <div class="t-input">
                                    <input type="text" name="name" value="{{old('name')}}" placeholder="الإسم الثلاثى">
                                    @if ($errors->has('name'))
                                        <small class="text-danger">{{ $errors->first('name') }}</small>
                                    @endif
                                </div>
                                <div class="t-input">
                                    <input type="text" value="{{old('email')}}" name="email" placeholder="البريد الإلكترونى">
                                    @if ($errors->has('email'))
                                        <small class="text-danger">{{ $errors->first('email') }}</small>
                                    @endif
                                </div>
                                <div class="t-input">
                                    <input type="text" value="{{old('mobile')}}" name="mobile" placeholder="رقم الجوال">
                                    @if ($errors->has('mobile'))
                                        <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                    @endif
                                </div>
                                <div class="t-input" id="market_link" style="display:none;">
                                    <input type="text" value="{{old('market_link')}}" name="market_link" placeholder="الرابط الخاص بموقعك (إختيارى)">
                                    @if ($errors->has('market_link'))
                                        <small class="text-danger">{{ $errors->first('market_link') }}</small>
                                    @endif
                                </div>
                                <div class="form-upload">
                                    <span>الصورة الشخصية</span>
                                    <label for="dd">
                                        <input type="file" name="image" id="dd">
                                        <div class="it-upload">
                                            <img src="{{asset('site/img/ca.svg')}}" alt="">
                                            <h6>أضف صورة</h6>
                                        </div>
                                    </label>
                                    @if ($errors->has('image'))
                                        <small class="text-danger">{{ $errors->first('image') }}</small>
                                    @endif
                                </div>

                                <div class="form-upload" id="commercial_image" style="display:none;">
                                    <span>صورة السجل التجارى</span>
                                    <label for="farouz">
                                        <input type="file" name="commercial_image" id="farouz">
                                        <div class="it-upload">
                                            <img src="{{asset('site/img/ca.svg')}}" alt="">
                                            <h6>أضف صورة</h6>
                                        </div>
                                    </label>
                                    @if ($errors->has('commercial_image'))
                                        <small class="text-danger">{{ $errors->first('commercial_image') }}</small>
                                    @endif
                                </div>
                                <div class="t-input">
                                    <input type="password" name="password" placeholder="كلمة المرور">
                                    @if ($errors->has('password'))
                                        <small class="text-danger">{{ $errors->first('password') }}</small>
                                    @endif
                                </div>
                                <div class="t-input">
                                    <input type="password" name="password_confirmation" placeholder="تأكيد كلمة المرور">
                                    @if ($errors->has('password_confirmation'))
                                        <small class="text-danger">{{ $errors->first('password_confirmation') }}</small>
                                    @endif
                                </div>
                            </div>

                            <div class="foot-log">
                                <button type="submit" class="main-btn">تسجيل</button>
                            </div>
                        </form>

                    </div>

                    <div class="col-12 col-md-12 col-lg-6">
                        <div class="bl-img">
                            <img class="img-fluid" src="{{asset('site/img/back-login.png')}}" alt="">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end -->

@endsection

@section('script')

    <script>

        function input_hidden(type){

            if(type == 'client'){
                $('#market_link').css('display', 'none');
                $('#commercial_image').css('display', 'none');
            }else {
                $('#market_link').css('display', 'block');
                $('#commercial_image').css('display', 'block');
            }

        }

    </script>

@endsection
