@extends('site.layout.master')

@section('content')
    <!-- start inner header -->
    <div class="inner-header">
        <h5>الإعدادات</h5>
        <ul>
            <li><a href="{{route('home')}}">الرئيسية </a></li>
            <li>/</li>
            <li><a> الإعدادات </a></li>

        </ul>
    </div>
    <!-- end inner header -->
    <!-- start about -->
    <div class="about-us">
        <div class="container">
            <div class="cover-profile">
                <img src="{{asset('site/img/money-cover.png')}}" alt="">
            </div>
            <form action="{{route('update_profile_post', Auth::user()->id)}}" method="POST"
                  enctype="multipart/form-data">
                @csrf
                <div class="img-profile">
                    <img id="blah" src="{{Auth::user()->image}}" alt="">
                    <label for="d1">
                        <i class="fas fa-camera"></i>
                        <input name="image" type="file" id="imgInp">
                    </label>
                </div>
                <div class="d-center top-1">
                    <div class="pop-lab">
                        <img src="{{asset('site/img/s-user.svg')}}" alt="">
                        <span>{{\Auth::user()->name}} </span>

                    </div>
                </div>

                <div class="row">
                    <div class="col-12 col-md-12 col-lg-6">
                        <div class="t-input">
                            <label>الإسم</label>
                            <input type="text" name="name" value="{{Auth::user()->name}}" placeholder="الإسم">
                            @if ($errors->has('name'))
                                <small class="text-danger">{{ $errors->first('name') }}</small>
                            @endif
                        </div>
                        <div class="t-input">
                            <label>البريد الإلكترونى</label>
                            <input type="text" name="email" value="{{Auth::user()->email}}"
                                   placeholder="البريد الإلكترونى">
                            @if ($errors->has('email'))
                                <small class="text-danger">{{ $errors->first('email') }}</small>
                            @endif
                        </div>


                    </div>
                    <div class="col-12 col-md-12 col-lg-6">
                        {{--                    <div class="t-input">--}}

                        {{--                        <input type="text" placeholder="الإسم الثلاثى">--}}
                        {{--                    </div>--}}
                        <div class="t-input">
                            <label>رقم الجوال</label>
                            <input type="text" name="mobile" value="{{Auth::user()->mobile}}" placeholder="رقم الجوال">
                            @if ($errors->has('mobile'))
                                <small class="text-danger">{{ $errors->first('mobile') }}</small>
                            @endif
                        </div>
                        @if(\Auth::user()->type == 'merchant')
                            <div class="t-input">
                                <label>الرابط الخاص بموقعك (إختيارى)</label>
                                <input type="text" value="{{\Auth::user()->market_link}}" name="market_link"
                                       placeholder="الرابط الخاص بموقعك (إختيارى)">
                                @if ($errors->has('market_link'))
                                    <small class="text-danger">{{ $errors->first('market_link') }}</small>
                                @endif
                            </div>
                        @endif

                    </div>
                </div>
                <div class="l-center">
                    <button type="submit" class="add-to-cart">تأكيد</button>
                </div>
            </form>
        </div>
    </div>
    <!-- start about -->
@endsection

@section('script')
    <script>

        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#blah').attr('src', e.target.result);
                }

                reader.readAsDataURL(input.files[0]);
            }
        }

        $("#imgInp").change(function () {
            readURL(this);
        });

    </script>
@endsection
