@extends('site.layout.master')

@section('content')
    <!-- start inner header -->
    <div class="inner-header">
        <h5>شحن المحفظة</h5>
        <ul>
            <li><a href="{{route('home')}}">الرئسية</a></li>
            <li>/</li>
            <li><a>شحن المحفظة</a></li>
        </ul>
    </div>
    <!-- end inner header -->
    <!-- start pay -->
    <div class="payment">
        <div class="container">
            <div class="payment-img">
                <img class="img-fluid" src="{{asset('site/img/wa.svg')}}" alt="">
            </div>
            <div class="pri mb-5">
                <h3>رصيد المحفظة الحالى</h3>
                <span>{{Auth::user()->wallet > 0 ? Auth::user()->wallet : 0 }} ر.س</span>
            </div>
            <div class="payment-body">

                <form action="{{route('wallet_charge_post')}}" method="POST" enctype="multipart/form-data">

                    <div class="row">

                        <div class="col-12 col-md-12 col-lg-6">
                            <div class="titk">
                                <h5>شحن المحفظة</h5>
                            </div>
                            @csrf
                            <div class="t-input">
                                <label for="">اختر البنك</label>
                                <select name="bank_id" id="">
                                    @foreach($banks as $bank)
                                        <option
                                            {{$bank->id == old('bank_id') ? 'selected' : ''}} value="{{$bank->id}}">
                                            {{$bank->name}}
                                        </option>
                                    @endforeach
                                </select>
                                @if ($errors->has('bank_id'))
                                    <small class="text-danger">{{ $errors->first('bank_id') }}</small>
                                @endif
                            </div>
                            <div class="t-input">

                                <input value="{{old('amount')}}" name="amount" type="text" placeholder="مبلغ الشحن">
                                @if ($errors->has('amount'))
                                    <small class="text-danger">{{ $errors->first('amount') }}</small>
                                @endif
                            </div>

                            <div class="t-input">
                                <input value="{{old('transfer_number')}}" name="transfer_number" type="text"
                                       placeholder="رقم التحويل">
                                @if ($errors->has('transfer_number'))
                                    <small class="text-danger">{{ $errors->first('transfer_number') }}</small>
                                @endif
                            </div>

                            <div class="t-input">
                                <input value="{{old('transfer_date')}}" name="transfer_date" type="text"
                                       placeholder="تاريخ التحويل">
                                @if ($errors->has('transfer_date'))
                                    <small class="text-danger">{{ $errors->first('transfer_date') }}</small>
                                @endif
                            </div>
                            <div class="t-input">
                                <input value="{{old('transfer_name')}}" name="transfer_name" type="text"
                                       placeholder="اسم الشخص المرسل">
                                @if ($errors->has('transfer_name'))
                                    <small class="text-danger">{{ $errors->first('transfer_name') }}</small>
                                @endif
                            </div>
                            <div class="add-t">
                                <label for="add">
                                    <input value="pledge" name="pledge" type="checkbox" checked>
                                    <span>هنا يوجد إضافة تعهد</span>
                                </label>
                                @if ($errors->has('pledge'))
                                    <small class="text-danger">{{ $errors->first('pledge') }}</small>
                                @endif
                            </div>
                        </div>
                        <div class="col-12 col-md-12 col-lg-6">
                            <div class="file-upload mt-5">
                                <label for="dd">
                                    <img src="{{asset('site/img/a-image.svg')}}" alt="">
                                    <span>اضغط هنا لإرفاق إيصال الدفع</span>
                                </label>
                                <input name="transfer_image" type="file" id="dd">
                            </div>
                            @if ($errors->has('transfer_image'))
                                <small class="text-danger">{{ $errors->first('transfer_image') }}</small>
                            @endif
                        </div>
                        <div class="col-12">
                            <div class="l-center">
                                <button class="add-to-cart" type="submit">إرسال
                                </button>
                            </div>
                        </div>
                    </div>

                </form>

            </div>
        </div>
    </div>
    <!-- end pay -->
@endsection
