<?php

use App\Http\Controllers\Site\HomeController;
use App\Http\Controllers\Site\DataController;
use App\Http\Controllers\Site\UsersController;
use App\Http\Controllers\Site\ContactUsController;
use App\Http\Controllers\Site\ProductsController;
use App\Http\Controllers\Site\PointProductsController;
use App\Http\Controllers\Site\NotificationsController;
use App\Http\Controllers\Site\CartsController;
use App\Http\Controllers\Site\PointCartsController;
use App\Http\Controllers\Site\OrderControllers;
use App\Http\Controllers\Site\PointOrderController;
use App\Http\Controllers\Site\LoyalotysController;
use Illuminate\Support\Facades\Route;

Route::get('/', [HomeController::class, 'home'])->name('home');

Route::get('/sign_up', [UsersController::class, 'sign_up_form'])->name('sign_up');
Route::post('/sign_up_post', [UsersController::class, 'sign_up_post'])->name('sign_up_post');
Route::get('/login', [UsersController::class, 'login_form'])->name('login');
Route::post('/authentication', [UsersController::class, 'authentication'])->name('authentication');

Route::get('/activate_account', [UsersController::class, 'activate_account'])->name('activate_account');

Route::post('/activate_account_post', [UsersController::class, 'activate_account_post'])->name('activate_account_post');

Route::get('/forget_password', [UsersController::class, 'forget_password_form'])->name('forget_password');
Route::post('/forget_password_email', [UsersController::class, 'forget_password_email'])->name('forget_password_email');

Route::get('/forget_password_code_form', [UsersController::class, 'forget_password_code_form'])->name('forget_password_code_form');

Route::post('/forget_password_code', [UsersController::class, 'forget_password_code'])->name('forget_password_code');

Route::get('/forget_change_password_form', [UsersController::class, 'forget_change_password_form'])->name('forget_change_password_form');

Route::post('/forget_change_password', [UsersController::class, 'forget_change_password'])->name('forget_change_password');

Route::get('/about_us', [DataController::class, 'about_us'])->name('about_us');

Route::get('/contact_us', [ContactUsController::class, 'contact_us'])->name('contact_us');

Route::post('/contact_us_post', [ContactUsController::class, 'contact_us_post'])->name('contact_us_post');

Route::get('/categories', [ProductsController::class, 'categories'])->name('categories');
Route::get('/all_point_products', [PointProductsController::class, 'all_point_products'])->name('all_point_products');

Route::get('/product_details/{id}', [ProductsController::class, 'product_details'])->name('product_details');

Route::get('/point_product_details/{id}', [PointProductsController::class, 'point_product_details'])->name('point_product_details');

Route::get('/search', [ProductsController::class, 'search'])->name('search');
Route::get('/favourite', [ProductsController::class, 'favourite'])->name('favourite');
Route::get('/point_favourite', [PointProductsController::class, 'point_favourite'])->name('point_favourite');

Route::group(['middleware' => 'users', 'prefix' => 'user'], function () {

    Route::get('/logout', [UsersController::class, 'logout'])->name('logout');
    Route::get('/my_favourite', [ProductsController::class, 'my_favourite'])->name('my_favourite');

    Route::get('/wallet_charge', [UsersController::class, 'wallet_charge'])->name('wallet_charge');
    Route::post('/wallet_charge_post', [UsersController::class, 'wallet_charge_post'])->name('wallet_charge_post');

    Route::get('/update_profile', [UsersController::class, 'update_profile'])->name('update_profile');
    Route::post('/update_profile_post/{id}', [UsersController::class, 'update_profile_post'])->name('update_profile_post');

    Route::get('/update_password', [UsersController::class, 'update_password'])->name('update_password');
    Route::post('/update_password_post/{id}', [UsersController::class, 'update_password_post'])->name('update_password_post');

    Route::get('/notifications', [NotificationsController::class, 'notifications'])->name('notifications');
    Route::get('/notifications_delete', [NotificationsController::class, 'notifications_delete'])->name('notifications_delete');

    Route::post('/add_product_to_cart', [CartsController::class, 'add_product_to_cart'])->name('add_product_to_cart');

    Route::post('/add_point_product_to_cart', [PointCartsController::class, 'add_point_product_to_cart'])->name('add_point_product_to_cart');

    Route::get('/my_cart_points', [PointCartsController::class, 'my_cart_points'])->name('my_cart_points');

    Route::get('/update_point_cart_ajax', [PointCartsController::class, 'update_point_cart_ajax'])->name('update_point_cart_ajax');

    Route::get('/delete_point_cart/{id}', [PointCartsController::class, 'delete_point_cart'])->name('delete_point_cart');

    Route::get('/update_cart_ajax', [CartsController::class, 'update_cart_ajax'])->name('update_cart_ajax');

    Route::get('/my_cart', [CartsController::class, 'my_cart'])->name('my_cart');
    Route::get('/delete_cart/{id}', [CartsController::class, 'delete_cart'])->name('delete_cart');

    Route::get('/order_wallet', [OrderControllers::class, 'order_wallet'])->name('order_wallet');

    Route::get('/pay_order_wallet', [OrderControllers::class, 'pay_order_wallet'])->name('pay_order_wallet');

    Route::get('/pay_order_point', [PointOrderController::class, 'pay_order_point'])->name('pay_order_point');

    Route::get('/order_bank_transfer', [OrderControllers::class, 'order_bank_transfer'])->name('order_bank_transfer');

    Route::post('/order_bank_transfer_post', [OrderControllers::class, 'order_bank_transfer_post'])->name('order_bank_transfer_post');

    Route::get('/loyalotys', [LoyalotysController::class, 'loyalotys'])->name('loyalotys');
    Route::get('/order_finished', [OrderControllers::class, 'order_finished'])->name('order_finished');
    Route::get('/point_order_finished', [OrderControllers::class, 'point_order_finished'])->name('point_order_finished');

});
